import { jsx as n, jsxs as I } from "react/jsx-runtime";
import { useId as v } from "react";
import b from "clsx";
/*!
  @versini/ui-card v1.4.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_CARD__ || (window.__VERSINI_UI_CARD__ = {
    version: "1.4.1",
    buildTime: "12/28/2024 05:53 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const u = "av-card";
function x(r) {
  const e = v();
  return `${r}${e}`;
}
/*!
  @versini/ui-spacing v1.1.1
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPACING__ || (window.__VERSINI_UI_SPACING__ = {
    version: "1.1.1",
    buildTime: "12/28/2024 05:53 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const S = (r) => {
  let e = "";
  if (typeof r == "number" || typeof r == "string")
    e = "m-" + r;
  else {
    const t = [];
    (r == null ? void 0 : r.t) !== void 0 && t.push(`mt-${r.t}`), (r == null ? void 0 : r.r) !== void 0 && t.push(`mr-${r.r}`), (r == null ? void 0 : r.b) !== void 0 && t.push(`mb-${r.b}`), (r == null ? void 0 : r.l) !== void 0 && t.push(`ml-${r.l}`), e = t.join(" ");
  }
  return e;
}, w = ({
  className: r,
  headerClassName: e,
  bodyClassName: t,
  footerClassName: o,
  spacing: p,
  mode: d,
  compact: l,
  noBorder: i
}) => {
  const h = b(
    u,
    r,
    "rounded-md",
    S(p),
    {
      "border-none": i,
      "border-2": !i,
      "p-4": !l,
      "p-1 sm:p-2": l,
      "border-border-accent bg-surface-darker text-copy-light": d === "darker",
      "border-border-accent bg-surface-dark text-copy-light": d === "dark",
      "border-border-dark bg-surface-lighter text-copy-dark": d === "light",
      "border-border-dark bg-surface-lighter text-copy-dark dark:border-border-accent dark:bg-surface-dark dark:text-copy-light": d === "system",
      "border-border-accent bg-surface-dark text-copy-light dark:border-border-dark dark:bg-surface-lighter dark:text-copy-dark": d === "alt-system"
    }
  ), _ = e || b(`${u}__header mt-0 border-b-2`, {
    "text-copy-light border-border-accent": d === "darker",
    "border-border-accent": d === "dark",
    "border-border-medium": d === "light",
    "border-border-medium dark:border-border-accent": d === "system",
    "border-border-accent dark:border-border-medium": d === "alt-system",
    "mb-4": !l,
    "mb-2": l
  }), f = b(t), g = o || b(`${u}__footer pt-2`);
  return {
    wrapper: h,
    header: _,
    body: f,
    footer: g
  };
};
function A({
  id: r,
  content: e,
  userAriaLabelledby: t,
  className: o
}) {
  return typeof e == "string" ? /* @__PURE__ */ n("h2", { id: r, className: o, children: e }) : t ? /* @__PURE__ */ n("div", { className: o, children: e }) : e ? /* @__PURE__ */ n("div", { className: o, id: r, children: e }) : null;
}
const E = ({
  header: r,
  headerClassName: e,
  footer: t,
  footerClassName: o,
  children: p,
  className: d,
  bodyClassName: l,
  "aria-labelledby": i,
  spacing: h,
  mode: _ = "system",
  compact: f = !1,
  noBorder: g = !1,
  ...y
}) => {
  let s = null, c = null;
  const m = typeof r == "string", k = x(u), a = w({
    className: d,
    headerClassName: e,
    bodyClassName: l,
    footerClassName: o,
    spacing: h,
    mode: _,
    compact: f,
    noBorder: g
  });
  return m ? (s = k, c = s) : !m && r && i ? (s = null, c = i) : !m && r && !i ? (s = k, c = s) : (s = null, c = i || null), /* @__PURE__ */ n("div", { className: a.wrapper, children: /* @__PURE__ */ I(
    "section",
    {
      ...c && {
        "aria-labelledby": c
      },
      className: a.body,
      ...y,
      children: [
        /* @__PURE__ */ n(
          A,
          {
            ...s && { id: s },
            content: r,
            className: a.header,
            userAriaLabelledby: i
          }
        ),
        /* @__PURE__ */ n("div", { children: p }),
        t ? /* @__PURE__ */ n("div", { className: a.footer, children: t }) : null
      ]
    }
  ) });
};
export {
  u as CARD_CLASSNAME,
  E as Card
};
